/*
 * 
 * Licensed Materials - Property of IBM 
 *
 * IBM Sterling Selling and Fullfillment Suite 9.1 
 *
 * (c) Copyright IBM Corp. 2006, 2006 All Rights Reserved. 
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */
  TreeParams = {

       // You will probably have to change these.

  /** TreeParams:
   *  OPEN_MULTIPLE_MENUS     --  boolean
   *                         if true, more than one menu can
   *                         be open at a time. Otherwise,
   *                         opening a new menu closes any
   *                         open menu.
   *
   *  OPEN_MULTIPLE_SUBMENUS  --  boolean
   *                         Same as OPEN_MULTIPLE_MENUS but
   *                         applies to the submenus of each menu.
   *
   *  OPEN_WHILE_CLOSING      --  boolean
   *                         If either OPEN_MULTIPLE_MENUS or
   *                         OPEN_MULTIPLE_SUBMENUS are true,
   *                         OPEN_WHILE_CLOSING will simultaneously
   *                         open a new menu while closing the
   *                         currently open menu.
   *
   *  TIME_DELAY              --  int
   *                         How slowly a menuNode collapses
   *                         in milliseconds. (0 to 100).
   */

      OPEN_MULTIPLE_MENUS    : true,

      OPEN_WHILE_CLOSING     : true,
      TIME_DELAY             : 40,

      OPEN_MENU_ICON         : "../../docs/html/animtree/img/open-menu-blue.gif",
      CLOSED_MENU_ICON       : "../../docs/html/animtree/img/closed-menu-blue.gif" // don't add a comma after last property!

  };
