@echo off

REM $Id: sdk.bat,v 1.6 2003/02/10 22:22:50 aselvan Exp $
REM Copyright (c) 2000-1 Comergent Technologies, Inc. All Rights Reserved.

REM check for java
if not "%JAVA_HOME%" == "" goto gotJavaHome
echo You must set the JAVA_HOME environment variable.
goto finish

:gotJavaHome
REM check for Comergent SDK Home
if not "%COMERGENT_SDK_HOME%" == "" goto gotComergentHome
set COMERGENT_SDK_HOME=%CD%\..\..
:gotComergentHome


REM build classpath
set CP=%COMERGENT_SDK_HOME%/etc/lib/ant.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/optional.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/antmerge.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/xercesimpl.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/xml-apis.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/ant-contrib-0.1.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/jaxp.jar
set CP=%CP%;%COMERGENT_SDK_HOME%/etc/lib/xalan.jar

if not [%1] == [] set ARGS=%1
if not [%2] == [] set ARGS=%ARGS% -Darg1=%2
if not [%3] == [] set ARGS=%ARGS% -Darg2=%3
if not [%4] == [] set ARGS=%ARGS% -Darg3=%4
if not [%5] == [] set ARGS=%ARGS% -Darg4=%5
if not [%6] == [] set ARGS=%ARGS% -Darg5=%6

REM run ant
%JAVA_HOME%/bin/java -Xmx128m -classpath %CP% org.apache.tools.ant.Main -emacs -buildfile build-fmwk.xml %ARGS%
:finish
